LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
05782Bug reports[All Projects] Survey designpublic2012-02-08 18:192012-03-14 21:08
Reporterulysse68 
Assigned ToTMSWhite 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version1.92RC3 
Target Version1.92RC4Fixed in Version1.92RC4 
Summary05782: Mandatory date doesn't block the survey if empty
DescriptionThe "mandatory" flag doesn't seem to have any effect on dates. For instance, you ask for a date, saying this question is mandatory, but if it isn't answered, users can go to next question without any error message. And the date saved seems to be always "1999-11-30".
Steps To Reproduce1. create a question of type "date"
2. define it as mandatory
3. create another question
4. run the survey: if the first question is empty, you can still go to next question without being asked to answer the date question
I will donate to the project if issue is resolved within 48 hrsYes
LimeSurvey build number OR git commit ID12402
BrowserFirefox, Safari
Database & DB-VersionMySQL 5
Operating System (Server)GNU/Linux
Webserver software & versionApache 2
PHP Version5.2 & 5.3
Attached Files? file icon limesurvey_group_144.lsg [^] (19,358 bytes) 2012-02-08 18:19

- Relationships

-  Notes
User avatar (17301)
TMSWhite (reporter)
2012-02-09 06:33

Fixed in revision 12413
User avatar (17402)
c_schmitz (administrator)
2012-02-14 14:10

1.92RC4 released

- Related Changesets
LimeSurvey: Yii 9ec50685
Timestamp: 2012-02-08 21:33:07
Author: TMSWhite
Committer: tmswhite
Details ] Diff ]
Fixed issue 05782: Mandatory date doesn't block the survey if empty
Dev blank dates were being converted to 1999-11-30

git-svn-id: file:///Users/Shitiz/Downloads/lssvn/source/limesurvey_yii@12414 [^] b72ed6b6-b9f8-46b5-92b4-906544132732
mod - application/helpers/expressions/em_manager_helper.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-02-08 18:19 ulysse68 New Issue
2012-02-08 18:19 ulysse68 File Added: limesurvey_group_144.lsg
2012-02-09 01:23 c_schmitz Assigned To => TMSWhite
2012-02-09 01:23 c_schmitz Status new => assigned
2012-02-09 06:33 TMSWhite Note Added: 17301
2012-02-09 06:33 TMSWhite Status assigned => resolved
2012-02-09 06:33 TMSWhite Fixed in Version => 1.92RC4
2012-02-09 06:33 TMSWhite Resolution open => fixed
2012-02-09 06:34 TMSWhite Target Version => 1.92RC4
2012-02-14 14:10 c_schmitz Note Added: 17402
2012-02-14 14:10 c_schmitz Status resolved => closed
2012-03-14 21:08 TMSWhite Changeset attached => Import 2012-03-09 13:30:34 Yii 9ec50685


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker